public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-mathematics/ltl2ba/
@ 2012-02-06 14:36 Jonathan-Christofer Demay
  0 siblings, 0 replies; 3+ messages in thread
From: Jonathan-Christofer Demay @ 2012-02-06 14:36 UTC (permalink / raw
  To: gentoo-commits

commit:     682006da3eb79c847747cec1cb05480ed7ff3dbd
Author:     Jonathan-Christofer Demay <jcdemay <AT> gmail <DOT> com>
AuthorDate: Mon Feb  6 14:36:20 2012 +0000
Commit:     Jonathan-Christofer Demay <jcdemay <AT> gmail <DOT> com>
CommitDate: Mon Feb  6 14:36:20 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=682006da

sci-mathematics/ltl2ba: QA fixe

---
 sci-mathematics/ltl2ba/metadata.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/sci-mathematics/ltl2ba/metadata.xml b/sci-mathematics/ltl2ba/metadata.xml
index c3cc781..efb490d 100644
--- a/sci-mathematics/ltl2ba/metadata.xml
+++ b/sci-mathematics/ltl2ba/metadata.xml
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<herd>sci-mathematics</herd>
+<herd>sci</herd>
 <maintainer>
   <email>sci@gentoo.org</email>
 </maintainer>



^ permalink raw reply related	[flat|nested] 3+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-mathematics/ltl2ba/
@ 2021-02-20 23:26 Jakov Smolić
  0 siblings, 0 replies; 3+ messages in thread
From: Jakov Smolić @ 2021-02-20 23:26 UTC (permalink / raw
  To: gentoo-commits

commit:     0713dd406eeb0fab717f46f357d3c2524e5fccc2
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Sat Feb 20 20:16:00 2021 +0000
Commit:     Jakov Smolić <jakov.smolic <AT> sartura <DOT> hr>
CommitDate: Sat Feb 20 21:57:42 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=0713dd40

sci-mathematics/ltl2ba: Port to EAPI 7

Closes: https://bugs.gentoo.org/755374
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>

 sci-mathematics/ltl2ba/ltl2ba-1.1.ebuild | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

diff --git a/sci-mathematics/ltl2ba/ltl2ba-1.1.ebuild b/sci-mathematics/ltl2ba/ltl2ba-1.1.ebuild
index 29609c146..6172bb985 100644
--- a/sci-mathematics/ltl2ba/ltl2ba-1.1.ebuild
+++ b/sci-mathematics/ltl2ba/ltl2ba-1.1.ebuild
@@ -1,29 +1,31 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=7
+
+inherit flag-o-matic
 
 DESCRIPTION="Fast LTL to Buechi Automata Translation"
-HOMEPAGE="http://www.lsv.ens-cachan.fr/~gastin/${PN}/"
+HOMEPAGE="http://www.lsv.ens-cachan.fr/~gastin/ltl2ba"
 SRC_URI="http://www.lsv.ens-cachan.fr/~gastin/${PN}/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-RDEPEND=""
-DEPEND=""
 
-src_compile() {
+src_prepare() {
+	default
 	sed -i Makefile \
 		-e "s/CC=gcc/#CC=gcc/g" \
-		-e "s/CFLAGS= -O3 -ansi -DNXT/CFLAGS+= -ansi -DNXT/g"
+		-e "s/CFLAGS= -O3 -ansi -DNXT/CFLAGS+= -ansi -DNXT/g" || die
+}
 
+src_configure() {
+	append-cflags -fcommon
 	default
 }
 
 src_install() {
-	dobin ltl2ba || die "dobin failed"
+	dobin ltl2ba
 	dodoc README
 }


^ permalink raw reply related	[flat|nested] 3+ messages in thread
* [gentoo-commits] proj/sci:master commit in: sci-mathematics/ltl2ba/
@ 2024-02-19 16:17 Alexander Puck Neuwirth
  0 siblings, 0 replies; 3+ messages in thread
From: Alexander Puck Neuwirth @ 2024-02-19 16:17 UTC (permalink / raw
  To: gentoo-commits

commit:     6d580f318cd4b49a97263fb12e8db67119cae0c3
Author:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> de>
AuthorDate: Fri Feb 16 20:24:14 2024 +0000
Commit:     Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik <DOT> de>
CommitDate: Mon Feb 19 16:15:56 2024 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=6d580f31

sci-mathematics/ltl2ba: add 1.2, 1.3

Closes: https://github.com/gentoo/sci/pull/1238
Signed-off-by: Alexander Puck Neuwirth <alexander <AT> neuwirth-informatik.de>

 sci-mathematics/ltl2ba/ltl2ba-1.2.ebuild | 31 +++++++++++++++++++++++++++++++
 sci-mathematics/ltl2ba/ltl2ba-1.3.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/sci-mathematics/ltl2ba/ltl2ba-1.2.ebuild b/sci-mathematics/ltl2ba/ltl2ba-1.2.ebuild
new file mode 100644
index 000000000..0678dcf8e
--- /dev/null
+++ b/sci-mathematics/ltl2ba/ltl2ba-1.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+DESCRIPTION="Fast LTL to Buechi Automata Translation"
+HOMEPAGE="http://www.lsv.ens-cachan.fr/~gastin/ltl2ba"
+SRC_URI="http://www.lsv.ens-cachan.fr/~gastin/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+	default
+	sed -i Makefile \
+		-e "s/CC=gcc/#CC=gcc/g" \
+		-e "s/CFLAGS= -O3 -ansi -DNXT/CFLAGS+= -ansi -DNXT/g" || die
+}
+
+src_configure() {
+	append-cflags -fcommon
+	default
+}
+
+src_install() {
+	dobin ltl2ba
+	dodoc README
+}

diff --git a/sci-mathematics/ltl2ba/ltl2ba-1.3.ebuild b/sci-mathematics/ltl2ba/ltl2ba-1.3.ebuild
new file mode 100644
index 000000000..0678dcf8e
--- /dev/null
+++ b/sci-mathematics/ltl2ba/ltl2ba-1.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+DESCRIPTION="Fast LTL to Buechi Automata Translation"
+HOMEPAGE="http://www.lsv.ens-cachan.fr/~gastin/ltl2ba"
+SRC_URI="http://www.lsv.ens-cachan.fr/~gastin/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+src_prepare() {
+	default
+	sed -i Makefile \
+		-e "s/CC=gcc/#CC=gcc/g" \
+		-e "s/CFLAGS= -O3 -ansi -DNXT/CFLAGS+= -ansi -DNXT/g" || die
+}
+
+src_configure() {
+	append-cflags -fcommon
+	default
+}
+
+src_install() {
+	dobin ltl2ba
+	dodoc README
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-02-19 16:17 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-02-06 14:36 [gentoo-commits] proj/sci:master commit in: sci-mathematics/ltl2ba/ Jonathan-Christofer Demay
  -- strict thread matches above, loose matches on Subject: below --
2021-02-20 23:26 Jakov Smolić
2024-02-19 16:17 Alexander Puck Neuwirth

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox